Subject: Re: [PATCH] push: disable lazy --force-with-lease by default

From: Junio C Hamano <[email-masked]>
Date: Fri, 07 Jul 2017 08:15:32 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> Which is why I think we should take Francesco's patch (with fixes from
> feedback), instead of Junio's.

The patch in this discussion is not meant as a replacement for the
one from Francesco.  It was meant as a companion patch.  

As I view the form of the option that relies on the stability of
remote-tracking branches strictly worse than the honest "--force"
that loudly advertises itself as dangerous (as opposed to being
advertised as a safer option, when it isn't), I consider the change
to require users to opt into relying on remote-tracking branches as
a prerequisite before we can recommend the form as a safer version
of "--force".